For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • POSTAdd bank account
      • POSTAdd GP Workers Additional Information
      • PATCHModify bank account
      • GETRetrieve bank accounts
      • GETRetrieve bank guide
      • PATCHUpdate address
      • PATCHUpdate compensation
      • PATCHUpdate employee information
      • PATCHUpdate GP Workers Additional Information
      • PATCHUpdate PTO policy
LogoLogo
SupportDeel Home
EndpointsWorker Information

Modify bank account

PATCH
/gp/workers/:worker_id/banks/:bank_id
PATCH
/rest/v2/gp/workers/:worker_id/banks/:bank_id
$curl -X PATCH https://api.letsdeel.com/rest/v2/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks/a3b33c4d-8c02-4f7d-92b5-123abc456def \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "id": "6f50539e-9f62-45d0-a42e-62a62fbb984a",
4 "status": "success",
5 "created_at": "2022-05-24T09:38:46.235Z",
6 "updated_at": "2022-05-24T09:38:46.235Z"
7 }
8}

Partially updates the bank account for the worker; only fields provided in the request body are modified. Token scopes: people:write

Was this page helpful?
Previous

Retrieve bank accounts

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

worker_idstringRequiredformat: "uuid"
Unique identifier for a worker in UUID format.
bank_idstringRequiredformat: "uuid"
Unique identifier for the bank account in UUID format.

Request

Request body to modify an existing bank account for an employee.
citystringOptional
The city of the user's address.
ibanstringOptional

The International Bank Account Number (IBAN).

emailstringOptional
The user's email address.
phonestringOptional
The user's phone number.
postalstringOptional
The user's postal or ZIP code.
tax_idstringOptional
The user's tax identification number.
bank_codestringOptional
The bank code.
bank_namestringOptional
Name of the user's bank.
full_namestringOptional
Full name of the user.
swift_bicstringOptional

SWIFT/BIC code for the bank.

rib_numberstringOptional

The RIB (Relevé d’Identité Bancaire).

branch_codestringOptional
The branch code of the user's bank.
account_typestringOptional
Bank account type.
country_codestringOptional
The country code of the user's address.
address_line1stringOptional
The primary address line.
address_line2stringOptional
The secondary address line.
currency_codestringOptional
The currency code for transactions.
original_namestringOptional
The original name of the user.
account_numberstringOptional
The user's bank account number.
province_statestringOptional
The state or province of the user's address.
bank_branch_namestringOptional
The name of the user's bank branch.
bank_country_codestringOptional
The country code where the bank is located.
ach_routing_numberstringOptional

The ACH (Automated Clearing House) Routing Number.

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/